searchData={"content_type":"text/markdown","items":[{"doc":"Adapter module for Sybase. `Ecto.Adapters.SQL` callbacks implementation.\n\nIt uses `jamdb_sybase` for communicating to the database.","ref":"Ecto.Adapters.Jamdb.Sybase.html","title":"Ecto.Adapters.Jamdb.Sybase","type":"module"},{"doc":"Adapter module for Sybase. `DBConnection` behaviour implementation.\n\nIt uses `jamdb_sybase` for communicating to the database.","ref":"Jamdb.Sybase.html","title":"Jamdb.Sybase","type":"module"},{"doc":"Returns the configured JSON library.\n\nTo customize the JSON library, include the following in your `config/config.exs`:\n\n    config :jamdb_sybase, :json_library, SomeJSONModule\n\nDefaults to [`Jason`](https://hexdocs.pm/jason)","ref":"Jamdb.Sybase.html#json_library/0","title":"Jamdb.Sybase.json_library/0","type":"function"},{"doc":"Runs the SQL statement.\n\nSee `DBConnection.prepare_execute/4`.\n\nIn case of success, it must return an `:ok` tuple containing\na map with at least two keys:\n\n  * `:num_rows` - the number of rows affected\n  * `:rows` - the result set as a list","ref":"Jamdb.Sybase.html#query/3","title":"Jamdb.Sybase.query/3","type":"function"},{"doc":"Starts and links to a database connection process.\n\nSee [`Ecto.Adapters.Jamdb.Sybase`](Ecto.Adapters.Jamdb.Sybase.html#module-connection-options).\n\nBy default the `DBConnection` starts a pool with a single connection.\nThe size of the pool can be increased with `:pool_size`. The ping interval \nto validate an idle connection can be given with the `:idle_interval` option.","ref":"Jamdb.Sybase.html#start_link/1","title":"Jamdb.Sybase.start_link/1","type":"function"},{"doc":"Adapter module for Sybase. `DBConnection.Query` protocol implementation.\n\nSee `DBConnection.prepare_execute/4`.","ref":"Jamdb.Sybase.Query.html","title":"Jamdb.Sybase.Query","type":"module"},{"doc":"# Jamdb.Sybase\n\nErlang driver and Ecto adapter for Sybase ASE Database","ref":"readme.html","title":"Jamdb.Sybase","type":"extras"},{"doc":"Adapter options split in different categories described\nbelow. All options can be given via the repository\nconfiguration:\n\n    config :your_app, YourApp.Repo,\n      ...\n\n#","ref":"readme.html#options","title":"Options - Jamdb.Sybase","type":"extras"},{"doc":"* `:hostname` - Server hostname (Name or IP address of the database server)\n  * `:port` - Server port (Number of the port where the server listens for requests)\n  * `:database` - Database (Database name)\n  * `:username` - Username (Name for the connecting user)\n  * `:password` - User password (Password for the connecting user)\n  * `:parameters` - Keyword list of connection parameters\n  * `:socket_options` - Options to be given to the underlying socket\n  * `:timeout` - The default timeout to use on queries, defaults to `15000`\n\n#","ref":"readme.html#connection-options","title":"Connection options - Jamdb.Sybase","type":"extras"},{"doc":"* `:pool` - The connection pool module, defaults to `DBConnection.ConnectionPool`\n  * `:pool_size` - The size of the pool, defaults to `1`\n  * `:idle_interval` - The ping interval to validate an idle connection, defaults to `5000`\t\n\n#","ref":"readme.html#pool-options","title":"Pool options - Jamdb.Sybase","type":"extras"},{"doc":"Using query options: `[in: [:numeric, :binary]]`\n\nSybase types                        | Literal syntax in params\n:---------------------------------- | :-----------------------\n`bigint`,`int`,`smallint`,`tinyint` | `:int`, `:integer`\n`numeric`, `decimal`                | `:numeric`, `:decimal`\n`float`, `double`                   | `:float`, `:double`\n`char`, `varchar`, `univarchar`     | `:varchar`, `:char`, `:string`\n`nchar`, `nvarchar`                 | `:nvarchar`, `:nchar`\n`text`, `unitext`, `image`          | `:text`, `:clob`\n`binary`, `varbinary`               | `:binary`\n`long binary`, ` long varchar`      | `:long`\n`money`, `smallmoney`               | `:money`\n`datetime`, `smalldatetime`         | `:datetime`\n`date`                              | `:date`\n`time`                              | `:time`\n`bit`                               | `:bit`\n\n##","ref":"readme.html#input-parameters","title":"Input parameters - Jamdb.Sybase","type":"extras"},{"doc":"iex> Ecto.Adapters.SQL.query(YourApp.Repo, \"select 1/10, getdate(), newid()\", [])\n    {:ok, %{num_rows: 1, rows: [[0, ~N[2016-08-01 13:14:15], \"84be3f476ce14052aed69dbfa57cdd43\"]]}}\n\n    iex> bin = %Ecto.Query.Tagged{value:  >, type: :binary}\n    iex> Ecto.Adapters.SQL.query(YourApp.Repo, \"insert into tabl values (:1)\", [bin])\n\n    iex> bin =  >\n    iex> Ecto.Adapters.SQL.query(YourApp.Repo, \"insert into tabl values (:1)\", [bin]], [in: [:binary]])","ref":"readme.html#examples","title":"Examples - Jamdb.Sybase","type":"extras"}]}